Subject: [core] Question regarding RFC 7252

From: Matt Long <[email-masked]>
Date: Tue, 1 Nov 2016 09:12:03 -0500

Behaviors for "Empty Message" (0.00) seems to be clearly defined with the
exception of a NON message sent.  If the expectation is RST response, then
section 1.2 (below) should contain "or Nonconfirmable" for clarity.
Otherwise, RFC 7252 is silent on the behavior.

"...provoking a reset message (e.g., by sending an Empty Confirmable
message) is also
      useful as an inexpensive check of the liveness of an endpoint
      ("CoAP ping")."